Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CloneHelper

    java.lang.Object
      com.beasys.commerce.util.CloneHelper

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CloneHelper

extends Object

Helper for cloning. Allows cloning of the Object class, when you don't know the class of the target object

Constructor Summary
`CloneHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static Belonging` | `clone(Belonging that)` Deprecated See BEA Commerce product offering
`static Collection` | `clone(Collection collection)` Deprecated See BEA Commerce product offering
`static Map` | `clone(Map map)` Deprecated See BEA Commerce product offering
`static Object` | `clone(Object that)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloneHelper

    public CloneHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### clone

    public static Object clone(Object that)

  Deprecated See BEA Commerce product offering

  Clones an object

  Parameters
    `that` - source object to be cloned
  Throws
    `CloneNotSupportedException` - the target object does not support cloning
    `Error` - unrecoverable error during reflection

### clone

    public static Belonging clone(Belonging that)

  Deprecated See BEA Commerce product offering

  Return a clone of a belonging

### clone

    public static Collection clone(Collection collection)

  Deprecated See BEA Commerce product offering

  return a deep copy of a collection

### clone

    public static Map clone(Map map)

  Deprecated See BEA Commerce product offering

  return a deep copy of a map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved